//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CofFIME.Models.Data
{
    using System;
    using System.Collections.Generic;
    
    public partial class Pedidos
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Pedidos()
        {
            this.DetallesPedidos = new HashSet<DetallesPedidos>();
        }
    
        public int Id_ped { get; set; }
        public Nullable<int> IdFacu_ped { get; set; }
        public Nullable<int> IdUsu_ped { get; set; }
        public Nullable<int> IdPlat_ped { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<DetallesPedidos> DetallesPedidos { get; set; }
        public virtual Facultades Facultades { get; set; }
        public virtual Platillos Platillos { get; set; }
        public virtual Usuarios Usuarios { get; set; }
    }
}
